For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList schedules
      • POSTCreate a schedule
      • GETGet results for a batch execution
      • GETList all schedule runs
      • GETGet results for a scheduled run
      • GETGet schedule sparklines
      • GETGet a schedule
      • PUTUpdate a schedule
      • DELDelete a schedule
      • POSTPause a schedule
      • POSTResume a schedule
      • POSTRun a schedule immediately
      • GETList runs for a schedule
      • GETGet schedule statistics
Dashboard
LogoLogo
Runtype APISchedules

Update a schedule

PUT
/v1/schedules/:id
PUT
/v1/schedules/:id
$curl -X PUT https://api.runtype.com/v1/schedules/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "trigger": {
> "cron": "0 * * * *",
> "timezone": "UTC",
> "type": "recurring"
> }
>}'
1{
2 "id": "string",
3 "status": "updated"
4}
Updates an existing schedule. Supports partial updates.
Was this page helpful?
Previous

Delete a schedule

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Request

This endpoint expects an object.

Response

Schedule updated
idstring
statusenum
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error